> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup Variants

> Variants of this store by SKU, variant name or product name.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/lookup/variants
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/lookup/variants:
    get:
      tags:
        - admin:lookup
      summary: Lookup Variants
      description: Variants of this store by SKU, variant name or product name.
      operationId: lookup_variants_api_v1_admin_lookup_variants_get
      parameters:
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 100
              - type: 'null'
            description: Substring of name, slug or SKU (case-insensitive)
            title: Q
          description: Substring of name, slug or SKU (case-insensitive)
        - name: product_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Only the variants of this product
            title: Product Id
          description: Only the variants of this product
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
        - name: lang
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Force content language (it|en|sq)
            title: Lang
          description: Force content language (it|en|sq)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_LookupVariantOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_LookupVariantOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/LookupVariantOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[LookupVariantOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LookupVariantOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        sku:
          type: string
          title: Sku
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attributes
        is_active:
          type: boolean
          title: Is Active
        product_id:
          type: string
          format: uuid
          title: Product Id
        product_name:
          type: string
          title: Product Name
        product_is_active:
          type: boolean
          title: Product Is Active
      type: object
      required:
        - id
        - sku
        - name
        - attributes
        - is_active
        - product_id
        - product_name
        - product_is_active
      title: LookupVariantOut
      description: |-
        A variant to pick, with the product it belongs to.

        `sku` is what a return records as "model"; `attributes` (size, colour…)
        tells apart variants that share a name.
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.